package com.ozs.account.util;

import java.util.HashMap;

/**
 * @author 王一夫
 * @version 1.0.0 创建于 2017/12/28
 **/
public final class S {

	/**
	 * 请求成功
	 */
	public static final String OK = "1";
	/**
	 * 请求失败
	 */
	public static final String ERROR = "-1";
	/**
	 * 文件数据错误
	 */
	public static final String FILE_DATA_ERROR = "report-001";
	/**
	 * 客户名称，通道名称，任务名称为必填项
	 */
	public static final String CUSTOMER_CHANNEL_TASK_ERROR = "report-002";
	/**
	 * 用户名、密码错误.
	 */
	public static final String USER_PASSWD_ENTNO_ERROR = "100200";

	/**
	 * token为空
	 */
	public static final String TOKEN_IS_NULL = "100404";
	/**
	 * token令牌过期
	 */
	public static final String TOKEN_TIME_OUT = "100405";
	/**
	 * 平台编号错误
	 */
	public static final String TOKEN_FLATFORM_ERROR = "100406";

	/**
	 * 汽车模块-任务名称已存在
	 */
	public static final String CAR_TASK_NAME = "100201";

	/**
	 *  电信数据监控-日期参数为空
	 */
	public static final String DATE_IS_NULL = "100202";

	@SuppressWarnings("serial")
	private static final HashMap<String, String> codeMsg = new HashMap<String, String>() {
		{
			put(OK, "请求成功.");
			put(ERROR, "请求失败.");

			put(USER_PASSWD_ENTNO_ERROR, "用户名、密码错误");

			put(FILE_DATA_ERROR, "文件数据错误");
			put(CUSTOMER_CHANNEL_TASK_ERROR, "客户名称，通道名称，任务名称为必填项");
			put(TOKEN_IS_NULL, "token is null");
			put(TOKEN_TIME_OUT, "token令牌过期");
			put(TOKEN_FLATFORM_ERROR, "平台编号错误");
			put(CAR_TASK_NAME, "任务名称已存在");
			put(DATE_IS_NULL,"传入日期参数为空");
		}
	};

	/**
	 * 根据状态码获取提示信息.
	 *
	 * @param code
	 *            状态吗
	 * @return 返回状态码对应的提示信息
	 */
	public static String getMsg(String code) {
		return codeMsg.get(code);
	}

}
